> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Policy external ID



## OpenAPI

````yaml /openapi.json post /policies/{policyId}/external-id
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /policies/{policyId}/external-id:
    post:
      tags:
        - policy
      summary: Edit Policy external ID
      operationId: PolicyController_editPolicyExternalId
      parameters:
        - name: policyId
          required: true
          in: path
          description: Unique identifier for the policy
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditPolicyExternalIdInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EditPolicyExternalIdOutput'
        '409':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ConflictingConfigErrorDto'
                  - $ref: '#/components/schemas/ExternalIdAlreadyInUseErrorDto'
              examples:
                CONFLICTING_CONFIG:
                  $ref: '#/components/schemas/ConflictingConfigErrorDto'
                EXTERNAL_ID_ALREADY_IN_USE:
                  $ref: '#/components/schemas/ExternalIdAlreadyInUseErrorDto'
          description: ''
components:
  schemas:
    EditPolicyExternalIdInputBody:
      type: object
      properties:
        externalId:
          type: string
      required:
        - externalId
    EditPolicyExternalIdOutput:
      type: object
      properties: {}
    ConflictingConfigErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CONFLICTING_CONFIG
        message:
          type: string
          example: Config field {configField} {requirement} {value} to perform {action}
        details:
          $ref: '#/components/schemas/ConflictingConfigDetailsDto'
      required:
        - code
        - message
        - details
    ExternalIdAlreadyInUseErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - EXTERNAL_ID_ALREADY_IN_USE
        message:
          type: string
          example: External ID already in use for policy {policyId}
        details:
          $ref: '#/components/schemas/ExternalIdAlreadyInUseDetailsDto'
      required:
        - code
        - message
        - details
    ConflictingConfigDetailsDto:
      type: object
      properties:
        configField:
          type: string
        requirement:
          allOf:
            - $ref: '#/components/schemas/OperationRequirement'
        value:
          type: string
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
      required:
        - configField
        - requirement
        - value
        - action
    ExternalIdAlreadyInUseDetailsDto:
      type: object
      properties:
        policyId:
          type: string
      required:
        - policyId
    OperationRequirement:
      type: string
      enum:
        - must be
        - must NOT be
        - must contain
        - must NOT contain
    Action:
      type: string
      enum:
        - PERFORM THIS ACTION
        - CREATE POLICY
        - CREATE ASSET
        - CREATE ASSET WITH START DATE
        - REPLACE ASSET
        - REMOVE ASSET
        - CHOOSE ASSET OPTIONS
        - STOP ASSET
        - EDIT ASSET
        - EDIT ASSET WITH START DATE
        - CREATE BRANCH
        - CREATE DEROGATION
        - CREATE MTA BRANCH
        - FORK TO NEW MTA BRANCH
        - FORK TO NEW NB BRANCH
        - FORK TO NEW RENEWAL BRANCH
        - FORK TO NEW REPRICING BRANCH
        - DEFINE PARENT POLICY ID
        - INITIALIZE CUSTOMER
        - EDIT CUSTOMER
        - DELETE CUSTOMER FROM POLICY
        - DECLARE CLAIMS HISTORY
        - SIGN
        - EDIT POLICY
        - EDIT POLICY EXTERNAL ID
        - CONFIRM POLICY
        - QUOTE POLICY
        - RETRIEVING QUOTE
        - STOP POLICY
        - SUSPEND POLICY
        - ACTIVATE POLICY
        - GENERATE MANDATE SIGNATURE REQUEST
        - GENERATE PAYMENT METHOD SECRET
        - CREATE CLAIM
        - FINALIZE RENEWAL
        - SEND CONTRACT TO SIGNATURE
        - GENERATE SIGNATURE REQUEST
        - GENERATE DOCUMENTS FOR SIGNATURE
        - APPROVE DISTRIBUTION REQUEST
        - DENY DISTRIBUTION REQUEST
        - REVOKED_DISTRIBUTION_REQUEST
        - DELETE DISTRIBUTION REQUEST
        - WAITING FOR SIGNATURE DISTRIBUTION REQUEST
        - UPDATE POLICY QUOTE

````